| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Functions
ioapi.h File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <stdint.h>`
`#include "zlib.h"`
Include dependency graph for ioapi.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | zlib_filefunc_def_s
struct | zlib_filefunc64_def_s
struct | zlib_filefunc64_32_def_s

## Macros
#define | _ZLIBIOAPI64_H
#define | ZIP_UNUSED
#define | fopen64 fopen
#define | ftello64 ftello
#define | fseeko64 fseeko
#define | ZLIB_FILEFUNC_SEEK_CUR (1)
#define | ZLIB_FILEFUNC_SEEK_END (2)
#define | ZLIB_FILEFUNC_SEEK_SET (0)
#define | ZLIB_FILEFUNC_MODE_READ (1)
#define | ZLIB_FILEFUNC_MODE_WRITE (2)
#define | ZLIB_FILEFUNC_MODE_READWRITEFILTER (3)
#define | ZLIB_FILEFUNC_MODE_EXISTING (4)
#define | ZLIB_FILEFUNC_MODE_CREATE (8)
#define | ZCALLBACK
#define | ZREAD64(filefunc, filestream, buf, size) ((*((filefunc).zfile_func64.zread_file)) ((filefunc).zfile_func64.opaque,filestream,buf,size))
#define | ZWRITE64(filefunc, filestream, buf, size) ((*((filefunc).zfile_func64.zwrite_file)) ((filefunc).zfile_func64.opaque,filestream,buf,size))
#define | ZCLOSE64(filefunc, filestream) ((*((filefunc).zfile_func64.zclose_file)) ((filefunc).zfile_func64.opaque,filestream))
#define | ZERROR64(filefunc, filestream) ((*((filefunc).zfile_func64.zerror_file)) ((filefunc).zfile_func64.opaque,filestream))
#define | ZOPEN64(filefunc, filename, mode) (call_zopen64((&(filefunc)),(filename),(mode)))
#define | ZOPENDISK64(filefunc, filestream, diskn, mode) (call_zopendisk64((&(filefunc)),(filestream),(diskn),(mode)))
#define | ZTELL64(filefunc, filestream) (call_ztell64((&(filefunc)),(filestream)))
#define | ZSEEK64(filefunc, filestream, pos, mode) (call_zseek64((&(filefunc)),(filestream),(pos),(mode)))

## Typedefs
typedef voidpf(ZCALLBACK * | open_file_func) (voidpf opaque, const char *filename, int mode)
typedef voidpf(ZCALLBACK * | opendisk_file_func) (voidpf opaque, voidpf stream, uint32_t number_disk, int mode)
typedef uint32_t(ZCALLBACK * | read_file_func) (voidpf opaque, voidpf stream, void *buf, uint32_t size)
typedef uint32_t(ZCALLBACK * | write_file_func) (voidpf opaque, voidpf stream, const void *buf, uint32_t size)
typedef int(ZCALLBACK * | close_file_func) (voidpf opaque, voidpf stream)
typedef int(ZCALLBACK * | error_file_func) (voidpf opaque, voidpf stream)
typedef long(ZCALLBACK * | tell_file_func) (voidpf opaque, voidpf stream)
typedef long(ZCALLBACK * | seek_file_func) (voidpf opaque, voidpf stream, uint32_t offset, int origin)
typedef struct zlib_filefunc_def_s | zlib_filefunc_def
typedef uint64_t(ZCALLBACK * | tell64_file_func) (voidpf opaque, voidpf stream)
typedef long(ZCALLBACK * | seek64_file_func) (voidpf opaque, voidpf stream, uint64_t offset, int origin)
typedef voidpf(ZCALLBACK * | open64_file_func) (voidpf opaque, const void *filename, int mode)
typedef voidpf(ZCALLBACK * | opendisk64_file_func) (voidpf opaque, voidpf stream, uint32_t number_disk, int mode)
typedef struct zlib_filefunc64_def_s | zlib_filefunc64_def
typedef struct zlib_filefunc64_32_def_s | zlib_filefunc64_32_def

## Functions
void | fill_fopen_filefunc (zlib_filefunc_def *pzlib_filefunc_def)
void | fill_fopen64_filefunc (zlib_filefunc64_def *pzlib_filefunc_def)
voidpf | call_zopen64 (const zlib_filefunc64_32_def *pfilefunc, const void *filename, int mode)
voidpf | call_zopendisk64 (const zlib_filefunc64_32_def *pfilefunc, voidpf filestream, uint32_t number_disk, int mode)
long | call_zseek64 (const zlib_filefunc64_32_def *pfilefunc, voidpf filestream, uint64_t offset, int origin)
uint64_t | call_ztell64 (const zlib_filefunc64_32_def *pfilefunc, voidpf filestream)
void | fill_zlib_filefunc64_32_def_from_filefunc32 (zlib_filefunc64_32_def *p_filefunc64_32, const zlib_filefunc_def *p_filefunc32)

## Macro Definition Documentation

## ◆ _ZLIBIOAPI64_H

#define _ZLIBIOAPI64_H

## ◆ fopen64

#define fopen64 fopen

## ◆ fseeko64

#define fseeko64 fseeko

## ◆ ftello64

#define ftello64 ftello

## ◆ ZCALLBACK

#define ZCALLBACK

## ◆ ZCLOSE64

#define ZCLOSE64 | ( |  | filefunc,
|  |  | filestream
| ) |  | ((*((filefunc).zfile_func64.zclose_file)) ((filefunc).zfile_func64.opaque,filestream))

## ◆ ZERROR64

#define ZERROR64 | ( |  | filefunc,
|  |  | filestream
| ) |  | ((*((filefunc).zfile_func64.zerror_file)) ((filefunc).zfile_func64.opaque,filestream))

## ◆ ZIP_UNUSED

#define ZIP_UNUSED

## ◆ ZLIB_FILEFUNC_MODE_CREATE

#define ZLIB_FILEFUNC_MODE_CREATE (8)

## ◆ ZLIB_FILEFUNC_MODE_EXISTING

#define ZLIB_FILEFUNC_MODE_EXISTING (4)

## ◆ ZLIB_FILEFUNC_MODE_READ

#define ZLIB_FILEFUNC_MODE_READ (1)

## ◆ ZLIB_FILEFUNC_MODE_READWRITEFILTER

#define ZLIB_FILEFUNC_MODE_READWRITEFILTER (3)

## ◆ ZLIB_FILEFUNC_MODE_WRITE

#define ZLIB_FILEFUNC_MODE_WRITE (2)

## ◆ ZLIB_FILEFUNC_SEEK_CUR

#define ZLIB_FILEFUNC_SEEK_CUR (1)

## ◆ ZLIB_FILEFUNC_SEEK_END

#define ZLIB_FILEFUNC_SEEK_END (2)

## ◆ ZLIB_FILEFUNC_SEEK_SET

#define ZLIB_FILEFUNC_SEEK_SET (0)

## ◆ ZOPEN64

#define ZOPEN64 | ( |  | filefunc,
|  |  | filename,
|  |  | mode
| ) |  | (call_zopen64((&(filefunc)),(filename),(mode)))

## ◆ ZOPENDISK64

#define ZOPENDISK64 | ( |  | filefunc,
|  |  | filestream,
|  |  | diskn,
|  |  | mode
| ) |  | (call_zopendisk64((&(filefunc)),(filestream),(diskn),(mode)))

## ◆ ZREAD64

#define ZREAD64 | ( |  | filefunc,
|  |  | filestream,
|  |  | buf,
|  |  | size
| ) |  | ((*((filefunc).zfile_func64.zread_file)) ((filefunc).zfile_func64.opaque,filestream,buf,size))

## ◆ ZSEEK64

#define ZSEEK64 | ( |  | filefunc,
|  |  | filestream,
|  |  | pos,
|  |  | mode
| ) |  | (call_zseek64((&(filefunc)),(filestream),(pos),(mode)))

## ◆ ZTELL64

#define ZTELL64 | ( |  | filefunc,
|  |  | filestream
| ) |  | (call_ztell64((&(filefunc)),(filestream)))

## ◆ ZWRITE64

#define ZWRITE64 | ( |  | filefunc,
|  |  | filestream,
|  |  | buf,
|  |  | size
| ) |  | ((*((filefunc).zfile_func64.zwrite_file)) ((filefunc).zfile_func64.opaque,filestream,buf,size))

## Typedef Documentation

## ◆ close_file_func

typedef int(ZCALLBACK * close_file_func) (voidpf opaque, voidpf stream)

## ◆ error_file_func

typedef int(ZCALLBACK * error_file_func) (voidpf opaque, voidpf stream)

## ◆ open64_file_func

typedef voidpf(ZCALLBACK * open64_file_func) (voidpf opaque, const void *filename, int mode)

## ◆ open_file_func

typedef voidpf(ZCALLBACK * open_file_func) (voidpf opaque, const char *filename, int mode)

## ◆ opendisk64_file_func

typedef voidpf(ZCALLBACK * opendisk64_file_func) (voidpf opaque, voidpf stream, uint32_t number_disk, int mode)

## ◆ opendisk_file_func

typedef voidpf(ZCALLBACK * opendisk_file_func) (voidpf opaque, voidpf stream, uint32_t number_disk, int mode)

## ◆ read_file_func

typedef uint32_t(ZCALLBACK * read_file_func) (voidpf opaque, voidpf stream, void *buf, uint32_t size)

## ◆ seek64_file_func

typedef long(ZCALLBACK * seek64_file_func) (voidpf opaque, voidpf stream, uint64_t offset, int origin)

## ◆ seek_file_func

typedef long(ZCALLBACK * seek_file_func) (voidpf opaque, voidpf stream, uint32_t offset, int origin)

## ◆ tell64_file_func

typedef uint64_t(ZCALLBACK * tell64_file_func) (voidpf opaque, voidpf stream)

## ◆ tell_file_func

typedef long(ZCALLBACK * tell_file_func) (voidpf opaque, voidpf stream)

## ◆ write_file_func

typedef uint32_t(ZCALLBACK * write_file_func) (voidpf opaque, voidpf stream, const void *buf, uint32_t size)

## ◆ zlib_filefunc64_32_def

typedef struct zlib_filefunc64_32_def_s zlib_filefunc64_32_def

## ◆ zlib_filefunc64_def

typedef struct zlib_filefunc64_def_s zlib_filefunc64_def

## ◆ zlib_filefunc_def

typedef struct zlib_filefunc_def_s zlib_filefunc_def

## Function Documentation

## ◆ call_zopen64()

voidpf call_zopen64 | ( | const zlib_filefunc64_32_def * | pfilefunc,
|  | const void * | filename,
|  | int | mode
| ) |  |

## ◆ call_zopendisk64()

voidpf call_zopendisk64 | ( | const zlib_filefunc64_32_def * | pfilefunc,
|  | voidpf | filestream,
|  | uint32_t | number_disk,
|  | int | mode
| ) |  |

## ◆ call_zseek64()

long call_zseek64 | ( | const zlib_filefunc64_32_def * | pfilefunc,
|  | voidpf | filestream,
|  | uint64_t | offset,
|  | int | origin
| ) |  |

## ◆ call_ztell64()

uint64_t call_ztell64 | ( | const zlib_filefunc64_32_def * | pfilefunc,
|  | voidpf | filestream
| ) |  |

## ◆ fill_fopen64_filefunc()

void fill_fopen64_filefunc | ( | zlib_filefunc64_def * | pzlib_filefunc_def | ) |

## ◆ fill_fopen_filefunc()

void fill_fopen_filefunc | ( | zlib_filefunc_def * | pzlib_filefunc_def | ) |

## ◆ fill_zlib_filefunc64_32_def_from_filefunc32()

void fill_zlib_filefunc64_32_def_from_filefunc32 | ( | zlib_filefunc64_32_def * | p_filefunc64_32,
|  | const zlib_filefunc_def * | p_filefunc32
| ) |  |